package com.ruoyi.xq.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.PageQuery;
import com.ruoyi.xq.domain.UserInfo;
import com.ruoyi.xq.dto.admin.user.UserInfoDetailAdminVo;
import com.ruoyi.xq.dto.admin.user.UserInfoListAdminVo;
import com.ruoyi.xq.dto.admin.user.req.UpdateUserInfoReq;
import com.ruoyi.xq.dto.admin.user.req.UpdateUserinfoFilterReq;

/**
 * 用户信息Service接口
 *
 * @author 77
 * @date 2024-03-04
 */
public interface UserInfoService extends IService<UserInfo> {
    UserInfo getByUsercode(String usercode);

    UserInfo getByUserId(Long userId);

    Page<UserInfoListAdminVo> pageAdmin(PageQuery pageQuery, UserInfoListAdminVo bo);

    UpdateUserInfoReq getUserInfoUpdate(Long userId);

    void updateInfo(UpdateUserInfoReq bo);

    void updateInfoFilter(UpdateUserinfoFilterReq bo);
}
